clear all;  close all;
addpath '../'
n = 2^26;

ttime = zeros(2);

x = single(rand(n,1));
tic;
y = l_logsumlog(x);
ttime(1,1) = toc;
whos

x = rand(n,1);
tic;
y = l_logsumlog(x);
ttime(1,2) = toc;
whos

x = gpuArray.rand(n,1);
tic;
y = l_logsumlog(x);
ttime(2,2) = toc;
whos

x = gpuArray.rand([n,1],'single');
tic;
y = l_logsumlog(x);
ttime(2,1) = toc;
whos

fprintf('Execution times\n')
fprintf('        Single    Double\n')
fprintf('  CPU  %9.5f  %9.5f  %15.5f\n',ttime(1,1),ttime(1,2),...
    ttime(1,2)/ttime(1,1));
fprintf('  GPU  %9.5f  %9.5f  %15.5f\n',ttime(2,1),ttime(2,2),...
    ttime(2,2)/ttime(2,1))
fprintf('       %9.5f  %9.5f\n',...
    ttime(1,1)/ttime(2,1),ttime(1,2)/ttime(2,2))