clear all;  close all;
addpath('../');
K = 2;
I = 3;
muY = 0.001*randn(1);
sigY = exp(randn(1));
alpha = tanh(randn(K,1));
beta = exp(randn(K,1));
gamma = 0.2*randn(K,1);
pstar = tanh(randn(I,1)) + 1;
mustar = randn(I,1);
sigstar = exp(randn(I,1));
p = pstar/sum(pstar);
mustarstar = mustar - dot(p,mustar);
c = 1/sqrt(dot(p,(mustarstar.^2 + sigstar.^2)));
mu = mustarstar*c;
sig = sigstar*c;
fprintf('Checks: %9.3f, %9.3f\n',dot(p,mu), dot(p,(mu.^2+sig.^2)))
theta = m_partheta1(muY, sigY, alpha, beta, gamma, p, mu, sig, K, I);
a = zeros(2+3*(K+I),4);
a(:,1:2) = [[muY; sigY; alpha; beta; gamma; p; mu; sig], theta'];
[muY, sigY, alpha, beta, gamma, p, mu, sig] = m_thetapar1(theta, K, I);
a(:,3) = [muY; sigY; alpha; beta; gamma; p; mu; sig];
a(:,4) = a(:,1) - a(:,3);
disp(a)