clear all;  close all;
addpath('../');
K = 2;
I = 3;
n = 2;
muY = 0.001;
sigY = 0.9;
alpha = [.4, .65]';
beta = [1.3, 0.2]';
gamma = [0.5, 0.2]';
p = [0.2235, 0.4488, 0.3277]';
mu = [-0.4185 0.4591 -0.3434]';
sig = [1.0837 0.6577 1.0640]';
theta1 = m_partheta1(muY, sigY, alpha, beta, gamma, p, mu, sig, K, I);
theta = repmat(theta1,n,1);
[muY2, sigY2, alpha2, beta2, gamma2, p2, mu2, sig2] = ...
    m_thetapar2(theta, K, I);
disp('muY');  disp(muY);  disp(muY2);
disp('sigY');  disp(sigY);  disp(sigY2);
disp('alpha');  disp(alpha');  disp(alpha2);
disp('beta');  disp(beta');  disp(beta2);
disp('gamma');  disp(gamma');  disp(gamma2);
disp('p');  disp(p');  disp(p2);
disp('mu');  disp(mu');  disp(mu2);
disp('sig');  disp(sig');  disp(sig2);
