clear all;  close all;
alphas = [0.98; 0.5; 1; 0.97];
%  logs: -.0202, -.6931, 0, -.0305
alphac = [0.05; 0.8; 0.05; 0.04];
%  logs: -2.9957, -0.2231, -2.9957, -3.2189
p = [4.5; 50; 4.5; 6.0];
%  logs: 1.5041, 3.9120, 1.5041, 1.7918
b0 = [0; 0.1; 0; 0];
sig = [0.025; 0.025; 0.025; 0.3];
%  log sig^2: -7.3778, -7.3778, -7.3778, -2.4079
T = 1000;

data = zeros(T,4);
for j = 1:4
    data(:,j) = gendat(alphas(j), alphac(j), p(j), sig(j), zeros(3,1), T);
    subplot(2,2,j); plot(data(:,j), 'r-')
end
data = exp(data);
save fakedat data

    
