function CQMphaseQacceptgoal 
% C.Mphase.acceptgoal 
% In the Mphase algorithms this is the target rate of acceptance for 
% particles drawn in the Gaussian random walk;
% If C.Mphase.acceptrate > C.Mphase.acceptgoal then the particle variance
% matrix multiplicative factor increases in the next step in the amount
% C.Mphase.step_inc, subject to an upper bound of C.Mphase.step_upper.
% If C.Mphase.acceptrate <= C.Mphase.acceptgoal then the particle variance
% matrix multiplicative factor decreases in the next step in the amount
% C.Mphase.step_inc, subject to a lower bound of C.Mphase.step_lower.
%
% CONTROL FIELD  Core default 0.25 (MGRW_simple M phase algorithm) 
%                             0.50 (MGRW_blocked M phase algorithm) 

end