clear all;  close all;
global C
C.JNwork = 1e4;
C.parameters = 1;
ntest = 4;

if ntest == 1
    prior.a = 2;
    prior.b = 2;
    
elseif ntest == 2
    prior.mean = 0.5;
    prior.std = 0.1;
    
elseif ntest == 3
    prior.a = 2;
    prior.b = 2;
    prior.mixed.mass = 0.5;
    prior.mixed.prob = 0.5;
    
elseif ntest == 4
    prior.a = 2;
    prior.b = 2;
    prior.constraints.a = 0.01;
    prior.constraints.b = 0.7;
    prior.constraints.D = 1;
    
elseif ntest == 5
    prior.a = 2;
    prior.b = 2;
    prior.constraints.a = 0.01;
    prior.constraints.b = 0.7;
    prior.constraints.D = 1;
    prior.mixed.mass = 0.5;
    prior.mixed.prob = 0.5;
    
end

prior = u_prior_betasetup(prior);
theta = u_prior_betasim(C.JNwork, prior);
logp = u_prior_beta(theta, prior);
[tstatout,pstatout] = u_pdfcheck(theta, exp(logp), true);

if prior.mix
    mass = log(prior.mixed.mass./(1-prior.mixed.mass));
    theta1 = u_cont_to_mixed(theta, mass, ...
        prior.mixed.r, prior.mixed.s);
    theta1 = exp(theta1);
    theta1 = theta1./(1+theta1);
else
    theta1 = exp(theta);
    theta1 = theta1./(1+theta1);
end