clear all;  close all;
global C
C.JNwork = 1e4;
C.parameters = 1;
ntest = 7;

if ntest == 1
    prior.shape = 40;
    prior.scale = 1/40;
    
elseif ntest == 2
    prior.mean = 1;
    prior.std = sqrt(.025);
    
elseif ntest == 3
    prior.chi2df = 2;
    prior.scale = 0.5;
    
elseif ntest == 4
    prior.shape = 40;
    prior.rate = 40;
    
elseif ntest == 5
    prior.shape = 40;
    prior.scale = 1/40;
    prior.mixed.mass = 1;
    prior.mixed.prob = 0.5;
    
elseif ntest == 6
    prior.shape = 40;
    prior.rate = 40;
    prior.constraints.a = 0.9;
    prior.constraints.b = inf;
    prior.constraints.D = 1;
    
elseif ntest == 7
    prior.shape = 40;
    prior.rate = 40;
    prior.constraints.a = 0.4;
    prior.constraints.b = 1;
    prior.constraints.D = 1;
    prior.mixed.mass = 0.98;
    prior.mixed.prob = 0.5;
    
end

prior = u_prior_gammasetup(prior);
theta = u_prior_gammasim(C.JNwork, prior);
logp = u_prior_gamma(theta, prior);
[tstatout,pstatout] = u_pdfcheck(theta, exp(logp), true);

if prior.mix
    theta1 = u_cont_to_mixed(theta, log(prior.mixed.mass), ...
        prior.mixed.r, prior.mixed.s);
    theta1 = exp(theta1);
end
theta = exp(theta);