clear all;  close all;
global C
C.JNwork = 1e4;
C.parameters = 1;
ntest = 4;

if ntest == 1
%     prior.mean = 1;
%     prior.diversity = 2;
    prior.mean = 1;
    prior.std = 2;
    
elseif ntest == 2
    prior.mean = 1;
    prior.std = 1.5;
    prior.constraints.a = -1;
    prior.constraints.b = 3;
    prior.constraints.D = 1;
    
elseif ntest == 3
    prior.mean = 1;
    prior.std = 1.5;
    prior.mixed.mass = 2.5;
    prior.mixed.prob = 0.5;
    
elseif ntest == 4
    prior.mean = 1;
    prior.std = 1.5;
    prior.constraints.a = -1;
    prior.constraints.b = 2.5;
    prior.constraints.D = 1;
    prior.mixed.mass = 2.5;
    prior.mixed.prob = 0.5;
    
end

prior = u_prior_laplacesetup(prior);
theta = u_prior_laplacesim(C.JNwork, prior);
logp = u_prior_laplace(theta, prior);
[tstatout,pstatout] = u_pdfcheck(theta, exp(logp), true);

if prior.mix
    theta1 = u_cont_to_mixed(theta, prior.mixed.mass, ...
        prior.mixed.r, prior.mixed.s);
    hist(theta1, 20)
end