clear all;  close all;
addpath '../';

nsim = 100000;
intensity = 1;

mu = zeros(nsim, 2);
b  = ones(nsim, 2);

y = u_prior_laprnd(mu, b); 

py = zeros(nsim, 1);
for isim = 1:nsim
    data = y(isim, :);
    
    logpy = - log(2*b(isim, 1)) - log(2*b(isim, 2));
    for i = 1:size(b, 2)
        logpy = logpy - abs(data(1, i) - mu(isim, i))/b(isim, i);
    end
    py(isim) = exp(logpy);
end

[tstatout, pstatout] = u_pdfcheck(y, py, 1);

