clear all;  close all; 
mvector = [0; 1];
pvector = [0.25; 0.25];
x = normrnd(0, 1, 10000, 1);
pdf = normpdf(mvector, 0, 1);
[rvector, svector] = u_rscreate(mvector, pvector, pdf);
[x, xstar] = u_mixedrnd(x, mvector, pvector, rvector, svector); 
n = length(x);
for i = 1:length(mvector)
    fprintf('%9.4f  %d\n', mvector(i), sum(x==mvector(i)))
end