clear all;  close all;
betapar = 0.15;
nrep = 10000;
mu = 0;
sig = 1;
p = betarnd(betapar, betapar, nrep, 2);
p = sort(p, 2);
z = norminv(p);
c = mu + sig*z;
logp1 = log(normcdf(c(:,2)) - normcdf(c(:,1)));
logp2 = zeros(nrep,1);

for i = 1:nrep
    logp2(i) = u_normtruncprob(mu, sig, c(i,1), c(i,2));
end

disp([min(logp1-logp2), max(logp1-logp2)])