clear all;  close all
addpath ../
n = 5;
jj  = [1 2];
dim = 1;
x1  = randn(10, 5, 2);
if dim == 1
    x  = [x1(:,:,1); x1(:,:,2)];
    V  = cov(x);
    ii = setdiff(1:size(x, 2), jj);
else
    x  = [x1(:,:,1), x1(:,:,2);];
    V  = cov(x');
    ii = setdiff(1:size(x', 2), jj);
end

CV = V(jj,jj) - V(jj,ii)*inv(V(ii,ii))*V(ii,jj);
A = V(jj,ii)*inv(V(ii,ii));
disp('manA');  disp(A)
disp('manCV');  disp(CV)

[A, cvarx] = u_cmvmom(x, jj, dim, false);
disp('A');  disp(A)
disp('cvarx');  disp(cvarx)

matlabpool(2)
spmd
    [meanxB, varxB] = u_cmvmom(x1(:,:,labindex), jj, dim, true);
    disp('meanxB');  disp(meanxB)
    disp('varxB');  disp(varxB)
end
matlabpool close