clear all;  close all;
global E
addpath ../
E.gpu = false;
n = 3;
p = 2;
nrep = 100000;

a = 3*rand(3, 4);
y = l_dirchrnd(a, nrep);

for i = 1:p
    aa = a(:, i);
    a0 = sum(aa);  % n x 1
    popmean = aa/a0;
    d = (a0+1)*a0^2;
    popcov = (diag(aa*a0) - aa*aa')/d;
    yy = squeeze(y(:,i,:));
    simmean = mean(yy, 2);  % n x 1
    simcov = cov(yy');  % n x n
    disp('Population mean, simulated mean')
    disp(popmean')
    disp(simmean')
    disp('Population variance')
    disp(popcov)
    disp('Simulated variance')
    disp(simcov)
end