clear all;  close all;
addpath('../');
n1 = 8;  n2 = 5;  df = 5;

x = chi2rnd(df,n1,n2);
meanx = mean(x);
varx = var(x);
logx = log(x);
[testxA, testxB] = l_logmomlog(logx);
disp('Tests 1');
disp([norm(meanx - exp(testxA)), norm(varx - exp(testxB))])

meanx = mean(x,1);
varx = var(x,[],1);
[testxA, testxB] = l_logmomlog(logx,1);
disp('Tests 2');  
disp([norm(meanx - exp(testxA)), norm(varx - exp(testxB))])

meanx = mean(x,2);
varx = var(x,[],2);
[testxA, testxB] = l_logmomlog(logx,2);
disp('Tests 3');  
disp([norm(meanx - exp(testxA)), norm(varx - exp(testxB))])

x = x';
meanx = mean(x);
varx = var(x);
logx = log(x);
[testxA, testxB] = l_logmomlog(logx);
disp('Tests 4');
disp([norm(meanx - exp(testxA)), norm(varx - exp(testxB))])

meanx = mean(x,1);
varx = var(x,[],1);
[testxA, testxB] = l_logmomlog(logx,1);
disp('Tests 5');  
disp([norm(meanx - exp(testxA)), norm(varx - exp(testxB))])

meanx = mean(x,2);
varx = var(x,[],2);
[testxA, testxB] = l_logmomlog(logx,2);
disp('Tests 6');  
disp([norm(meanx - exp(testxA)), norm(varx - exp(testxB))])

value = 3000;
logx = repmat(value,n1,n2);
[testxA, testxB] = l_logmomlog(logx,1);
disp('Tests 7')
disp([norm(value - mean(testxA)),norm(exp(testxB))])

[testxA, testxB] = l_logmomlog(logx,2);
disp('Tests 8')
disp([norm(value - mean(testxA)),norm(exp(testxB))])