clear all;  close all;
addpath('../');
n1 = 5;  n2 = 8;  df = 5;

x = chi2rnd(df,n1,n2);
sumx = sum(x,1);
logx = log(x);
testx = exp(l_logsumlog(logx));
disp('Test 1');  disp(norm(sumx - testx))

testx = exp(l_logsumlog(logx,1));
disp('Test 2');  disp(norm(sumx - testx))

sumx = sum(x,2);
testx = exp(l_logsumlog(logx,2));
disp('Test 3');  disp(norm(sumx - testx))

x = x';
sumx = sum(x,1);
logx = log(x);
testx = exp(l_logsumlog(logx));
disp('Test 4');  disp(norm(sumx - testx))

sumx = sum(x,2);
testx = exp(l_logsumlog(logx,2));
disp('Test 5');  disp(norm(sumx - testx))

sumx = sum(x,1);
testx = exp(l_logsumlog(logx,1));
disp('Test 6');  disp(norm(sumx - testx))

value = 3000;
logx = repmat(value,n1,n2);
testx = l_logsumlog(logx,1);
disp('Test 7')
disp(norm(value + log(n1) - mean(testx)))

testx = l_logsumlog(logx,2);
disp('Test 8')
disp(norm(value + log(n2) - mean(testx)))