clear all;  close all;
addpath ../
global E
E.gpu = false;
T = 6;
JN = 2;
data = [[ones(T, 1), 0.2*randn(T, 2)], randn(T, 1)];
xindex = [1, 2];
zindex = [1, 3];
yindex = 4;
theta = [0.1, 0.1, -2, 0.1; -0.1, -0.1, -3, 0];
alphaindex = [1, 2];
betaindex = [3, 4];
intensity = ones(T,1);
% intensity = rand(T,1);
% intensity(4) = 0;

logpdf = l_normal(theta, betaindex, alphaindex, ...
    intensity, data, xindex, zindex, yindex, 1);
disp('Brute force');  disp(logpdf')

logpdf = l_normal(theta, betaindex, alphaindex, ...
    intensity, data, xindex, zindex, yindex, 2);
disp('C/CUDA');  disp(logpdf')

logpdf = l_normal(theta, betaindex, alphaindex, ...
    intensity, data, xindex, zindex, yindex, 3);
disp('Matlab');  disp(logpdf')