function y = gendat(alphas, alphac, p, sig, ystart, T)

b = zeros(3,1);
b(1) = alphas + 2*alphac*cos(2*pi/p);
b(2) = -(alphac^2 + 2*alphas*alphac*cos(2*pi/p));
b(3) = alphas*alphac^2;

y = zeros(T,1);
y(1:3) = ystart;
eps = randn(T, 1)*sig;

for t = 4:T
    y(t) = b'*y(t-1:-1:t-3) + eps(t);
end