%  This code written to check the math in the note and provide baseis
%  for coding up p_thetapar.
clear all;  close all;
alphas = 0.99;
alphac = 0.5;
p = 12;

b = zeros(3,1);
b(1) = alphas + 2*alphac*cos(2*pi/p);
b(2) = -(alphac^2 + 2*alphas*alphac*cos(2*pi/p));
b(3) = alphas*alphac^2;
disp('Autoregression coefficients');  disp(b')

r = roots([-b([3, 2, 1]); 1]);
disp('Roots');  disp(r)
[rr, isort] = sort(abs(r));
alphas1 = 1/rr(1);
alphac1 = 1/rr(2);
p1 = 2*pi/atanpr(imag(r(isort(2)))/real(r(isort(2))));
disp([alphas1, alphac1, p1])