function logp = u_prior_model(theta, prior)
%  Evaluate the log prior probability density of the prior distribution
%  model
%  
%  Inputs:
%  theta     Points of evaluation (particles)  (C.JNwork x n)
%  prior     Prior structure created by u_prior_modelsetup
%
%  Output:
%  logp      Log prior density corresponding to theta (C.JNwork x 1) 

end