clear all;  close all;
addpath '../';
n = 3;
k = 100;
dim = 2;
x1 = randn(n, k, 2);
if dim == 1
    x = [x1(:,:,1); x1(:,:,2)];
    manvar = cov(x);
else
    x = [x1(:,:,1), x1(:,:,2)];
    manvar = cov(x');
end
manmean = mean(x, dim);
disp('manmean');  disp(manmean)
disp('manvar');  disp(manvar)

[meanxA, varxA] = u_mvmom(x, dim, false);
disp('meanxA');  disp(meanxA)
disp('varxA');  disp(varxA)

matlabpool(2)
spmd
    [meanxB, varxB] = u_mvmom(x1(:,:,labindex), dim, true);
    disp('meanxB');  disp(meanxB)
    disp('varxB');  disp(varxB)
end
matlabpool close