clear all;  close all;
% BP: Created and tested on 2014-08-27
 
k = 2;
T = 2;
A = [1 0;sqrt(2) 1];
spec{1} = randn(k,1);
spec{2} = A*abs(randn)*eye(k)*A';

[pmean, pvar, varchol, prec, precchol] = ...
    u_prior_linearsetup('mean-variance', spec);
disp('pmean');  disp(pmean)
disp('pvar');  disp(pvar)
disp('varchol'); disp(varchol)
disp('precchol');  disp(precchol)
disp('precision');  disp(prec)
disp('variance');  disp(varchol'*varchol)

spec{2} = prec;
[pmean, pvar, varchol, prec, precchol] = ...
    u_prior_linearsetup('mean-precision', spec);
disp('pmean');  disp(pmean)
disp('pvar');  disp(pvar)
disp('varchol'); disp(varchol)
disp('precchol');  disp(precchol)
disp('precision');  disp(prec)
disp('variance');  disp(varchol'*varchol)

D = [sqrt(2) 0; 1 sqrt(2)];
spec{6} = D;
spec{7} = [0.5 0.6]';
spec{8} = [1 1.1]';
[pmean, pvar, varchol, prec, precchol, pnu, D, Dinv, logdetD, a, b] = ...
    u_prior_linearsetup('mean-precision', spec);
disp('pnu');  disp(pnu)
disp('pmean');  disp(pmean)
disp('pvar');  disp(pvar)
disp('varchol'); disp(varchol)
disp('precchol');  disp(precchol)
disp('precision');  disp(prec)
disp('variance');  disp(varchol'*varchol)
disp('D');  disp(D)
disp('Dinv');  disp(Dinv)
disp('logdetD');  disp(logdetD)
disp('a');  disp(a)
disp('b');  disp(b)


