clear all;  close all;
[paththisfilein,~,~] = fileparts(mfilename('fullpath'));
sablroot = u_getsablroot(paththisfilein);
addpath([sablroot filesep 'utilities']);

n = 3;

df = 5;
spec{1} = df;

fprintf('Test option--variance\n')
spec{2} = diag(chi2rnd(4, n, 1)/4);
[pvar, varchol, prec, precchol, df, den] = ...
    u_prior_wishart('variance', spec);
disp('df'); disp(df)
disp('Normalizing constatn'); disp(den)
disp('pvar');  disp(pvar)
disp('varchol'); disp(varchol)
disp('precchol');  disp(precchol)
disp('precision');  disp(prec)

fprintf('Test option--precision\n')
spec{2} = prec;
[pvar, varchol, prec, precchol, df, den] = ...
    u_prior_wishart('precision', spec);
disp('df'); disp(df)
disp('Normalizing constatn'); disp(den)
disp('pvar');  disp(pvar)
disp('varchol'); disp(varchol)
disp('precchol');  disp(precchol)
disp('precision');  disp(prec)

fprintf('Test option--std\n')
spec{2} = diag(varchol);
[pvar, varchol, prec, precchol, df, den] = ...
    u_prior_wishart('std', spec);
disp('df'); disp(df)
disp('Normalizing constatn'); disp(den)
disp('pvar');  disp(pvar)
disp('varchol'); disp(varchol)
disp('precchol');  disp(precchol)
disp('precision');  disp(prec)

