clear all;  close all;
n = 1;
m = 3;
k = 3;
JN = 3;

Apart = randn(JN, n*m);
Bpart = randn(JN, m*k);
Amap = reshape(1:n*m, n, m);
Bmap = reshape(1:m*k, m, k);

A = u_extensive(Apart, Amap);
B = u_extensive(Bpart, Bmap);

[Cpart, Cmap] = u_prodpartpart([Apart, Bpart], Amap, Bmap+n*m);
C = u_extensive(Cpart, Cmap);

Chat = zeros(n,k,JN);
for jn = 1:JN
    Chat(:,:,jn) = squeeze(A(:,:,jn))*squeeze(B(:,:,jn));
end

for i = 1:n
    for j = 1:k
        v1 = reshape(squeeze(C(i,j,:)), 1, JN);
        v2 = reshape(squeeze(Chat(i,j,:)), 1, JN);
        disp([i,j])
        disp(v1)
        disp(v2)
        disp(v1-v2)
        pause
    end
end
